# PSF-LoginServer - master - net.psforever.services.avatar.support.DroppedItemRemover
PSF - LoginServer - master - net.psforever.services.avatar.support.DroppedItemRemover
Keywords: PSF LoginServer master net.psforever.services.avatar.support.DroppedItemRemover

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    services
-  package support
  Definition Classes
    avatar
- CorpseRemovalActor
- DroppedItemRemover

c

net.psforever.services.avatar.support

# DroppedItemRemover

###

#### class DroppedItemRemover extends RemoverActor

Source
  DroppedItemRemover.scala

Linear Supertypes
RemoverActor, SupportActor[Entry], Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DroppedItemRemover
2. RemoverActor
3. SupportActor
4. Actor
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new DroppedItemRemover(taskResolver: ActorRef)

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def ClearAll(): Unit

   No entries in the first pool.

   No entries in the first pool.

   Definition Classes
     RemoverActor → SupportActor
5.  def ClearSpecific(targets: List[PlanetSideGameObject], zone: Zone): Unit

   Remove specific entries from the first pool.

   Remove specific entries from the first pool.

   Definition Classes
     RemoverActor → SupportActor
6.  def ClearanceTest(entry: Entry): Boolean

   Performed to determine when an entry can be shifted off from the second list.

   Performed to determine when an entry can be shifted off from the second list. Override.

   entry

     the entry

   Definition Classes
     DroppedItemRemover → RemoverActor
7.  def DeletionTask(entry: Entry): GiveTask

   The specific action that is necessary to complete the removal process.

   The specific action that is necessary to complete the removal process. Override.

   entry

     the entry

   Definition Classes
     DroppedItemRemover → RemoverActor
   See also

     `GUIDTask`

8.  def FinalTask(entry: Entry): GiveTask
   Definition Classes
     RemoverActor
9.  def FirstJob(entry: Entry): Unit

   Performed when the entry is shifted from the first list to the second list.

   Performed when the entry is shifted from the first list to the second list. Override.

   entry

     the entry

   Definition Classes
     DroppedItemRemover → RemoverActor
10.  final val FirstStandardDuration: FiniteDuration

    Default time for entries waiting in the first list.

    Default time for entries waiting in the first list. Override.

    returns

      the time as a `FiniteDuration` object (to be later transformed into nanoseconds)

    Definition Classes
      DroppedItemRemover → RemoverActor
11.  def HurryAll(): Unit

    Expedite all entries from the first pool into the second.

    Expedite all entries from the first pool into the second.

    Definition Classes
      RemoverActor → SupportActor
12.  def HurrySpecific(targets: List[PlanetSideGameObject], zone: Zone): Unit

    Expedite some entries from the first pool into the second.

    Expedite some entries from the first pool into the second.

    targets

      a list of objects to pick

    zone

      the zone in which these objects must be discovered; all targets must be in this zone, with the assumption that this is the zone where they were registered

    Definition Classes
      RemoverActor → SupportActor
13.  def InclusionTest(entry: Entry): Boolean

    Determine whether or not the resulting entry is valid for this process.

    Determine whether or not the resulting entry is valid for this process. The primary purpose of this function should be to determine if the appropriate type of object is being submitted. Override.

    entry

      the entry

    returns

      `true`, if it can be processed; `false`, otherwise

    Definition Classes
      DroppedItemRemover → SupportActor
14.  def InitialJob(entry: Entry): Unit

    Performed when the entry is initially added to the first list.

    Performed when the entry is initially added to the first list. Override.

    entry

      the entry

    Definition Classes
      DroppedItemRemover → RemoverActor
15.  def PartitionTargetsFromList(list: List[Entry], targets: List[Entry], zone: Zone, comparator: SimilarityComparator[Entry] = sameEntryComparator): (List[Entry], List[Entry])
    Definition Classes
      SupportActor
16.  def RetimeFirstTask(now: Long = System.nanoTime): Unit

    Common function to reset the first task's delayed execution.

    Common function to reset the first task's delayed execution. Cancels the scheduled timer and will only restart the timer if there is at least one entry in the first pool.

    now

      the time (in nanoseconds); defaults to the current time (in nanoseconds)

    Definition Classes
      RemoverActor
17.  def SecondJob(entry: Entry): Unit
    Definition Classes
      RemoverActor
18.  final val SecondStandardDuration: FiniteDuration

    Default time for entries waiting in the second list.

    Default time for entries waiting in the second list. Override.

    returns

      the time as a `FiniteDuration` object (to be later transformed into nanoseconds)

    Definition Classes
      DroppedItemRemover → RemoverActor
19.  def aroundPostRestart(reason: Throwable): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
20.  def aroundPostStop(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
21.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
22.  def aroundPreStart(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
23.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
24.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
25.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
26.  implicit val context: ActorContext
    Definition Classes
      Actor
27.  def debug(msg: String): Unit
    Definition Classes
      SupportActor
28.  def entryManagementBehaviors: Receive
    Definition Classes
      SupportActor
29.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
31.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
32.  var firstHeap: List[Entry]

    The first pool of objects waiting to be processed for removal.

    The first pool of objects waiting to be processed for removal.

    Definition Classes
      RemoverActor
33.  var firstTask: Cancellable

    The timer that checks whether entries in the first pool are still eligible for that pool.

    The timer that checks whether entries in the first pool are still eligible for that pool.

    Definition Classes
      RemoverActor
34.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
35.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
36.  def info(msg: String): Unit
    Definition Classes
      SupportActor
37.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
38.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
39.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
40.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
41.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
42.  def postStop(): Unit

    Sufficiently clean up the current contents of these waiting removal jobs.

    Sufficiently clean up the current contents of these waiting removal jobs. Cancel all timers, rush all entries in the lists through their individual steps, then empty the lists. This is an improved `HurryAll`, but still faster since it also railroads entries through the second queue as well.

    Definition Classes
      RemoverActor → Actor
43.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
44.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
45.  def receive: Receive
    Definition Classes
      RemoverActor → Actor
46.  val sameEntryComparator: SimilarityComparator[Entry]
    Definition Classes
      RemoverActor → SupportActor
47.  var secondHeap: List[Entry]

    The second pool of objects waiting to be processed for removal.

    The second pool of objects waiting to be processed for removal.

    Definition Classes
      RemoverActor
48.  var secondTask: Cancellable

    The timer that checks whether entries in the second pool are still eligible for that pool.

    The timer that checks whether entries in the second pool are still eligible for that pool.

    Definition Classes
      RemoverActor
49.  implicit final val self: ActorRef
    Definition Classes
      Actor
50.  final def sender(): ActorRef
    Definition Classes
      Actor
51.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
52.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
53.  val taskResolver: ActorRef
    Definition Classes
      RemoverActor
54.  def toString(): String
    Definition Classes
      AnyRef → Any
55.  def trace(msg: String): Unit
    Definition Classes
      SupportActor
56.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
57.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
58.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
59.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from RemoverActor

### Inherited from SupportActor[Entry]

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped